Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 514108 - make fedora-cvs default to anoncvs when no fedora user
make fedora-cvs default to anoncvs when no fedora user
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-packager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-27 23:23 EDT by Jens Petersen
Modified: 2009-08-26 23:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.3.8-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 01:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fedora-cvs.py-anon.patch (698 bytes, patch)
2009-07-27 23:28 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Jens Petersen 2009-07-27 23:23:57 EDT
Description of problem:
If one tries to use fedora-cvs on a machine where one has not
setup a fedora user yet one gets an error about no ~/.fedora-cert
file.  Better would be to use anoncvs if no fedora user is
configured.

Steps to Reproduce:
1. install test instance of rawhide
2. checkout some package from cvs with fedora-cvs
  
Actual results:
2. error about missing ~/.fedora-cert

Expected results:
2. anonymous checkout or failing that error message
about -a option.
Comment 1 Jens Petersen 2009-07-27 23:28:20 EDT
Created attachment 355348 [details]
fedora-cvs.py-anon.patch

A little patch that implements the change.
Comment 2 Fedora Update System 2009-07-28 18:38:45 EDT
fedora-packager-0.3.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.6-1.fc11
Comment 3 Fedora Update System 2009-07-28 18:44:29 EDT
fedora-packager-0.3.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.6-1.fc10
Comment 4 Fedora Update System 2009-07-28 18:45:12 EDT
fedora-packager-0.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.6-1.el5
Comment 5 Fedora Update System 2009-07-29 17:28:32 EDT
fedora-packager-0.3.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8080
Comment 6 Fedora Update System 2009-07-29 17:31:40 EDT
fedora-packager-0.3.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8096
Comment 7 Fedora Update System 2009-07-29 18:57:36 EDT
fedora-packager-0.3.6-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0152
Comment 8 Itamar Reis Peixoto 2009-07-30 11:19:41 EDT
in rawhide is not working, this error is related to this fix ?



[itamar@localhost fedora]$ fedora-cvs zbar
Traceback (most recent call last):
  File "/usr/bin/fedora-cvs", line 76, in <module>
    user = read_cert_user()
  File "/usr/bin/fedora-cvs", line 18, in read_cert_user
    if not os.access(cert_file, os.F_OK):
UnboundLocalError: local variable 'cert_file' referenced before assignment
[itamar@localhost fedora]$
Comment 9 Dennis Gilmore 2009-07-30 12:29:03 EDT
it is but was my doing. i just built a fixed version in koji
Comment 10 Itamar Reis Peixoto 2009-07-30 12:40:45 EDT
(In reply to comment #9)
> it is but was my doing. i just built a fixed version in koji  

the version fedora-packager-0.3.7-1 is working for me , you can close this bug
Comment 11 Fedora Update System 2009-07-31 14:03:19 EDT
fedora-packager-0.3.7-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8096
Comment 12 Fedora Update System 2009-07-31 14:04:23 EDT
fedora-packager-0.3.7-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8080
Comment 13 Fedora Update System 2009-07-31 17:27:36 EDT
fedora-packager-0.3.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0152
Comment 14 Fedora Update System 2009-08-07 01:06:38 EDT
fedora-packager-0.3.7-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-08-07 01:08:00 EDT
fedora-packager-0.3.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-08-10 15:50:43 EDT
fedora-packager-0.3.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-packager-0.3.8-1.el5
Comment 17 Fedora Update System 2009-08-26 23:27:03 EDT
fedora-packager-0.3.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.